# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-14 22:12
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
    ]

    operations = [
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='name', unique=True)),
                ('title', models.CharField(max_length=255)),
                ('published', models.BooleanField(default=True, help_text='Whether to publish on the site.')),
                ('position', positions.fields.PositionField(default=-1, help_text='Order of appearance')),
                ('bio', models.TextField(blank=True)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Image')),
            ],
            options={
                'ordering': ('position', 'id'),
            },
        ),
    ]
